#!/bin/bash

# deploy-dotfiles is a simple config deployment "script"
# version 0.1
# Author: a_mirre@utb.cz
# License: GNU GPL v3 (https://www.gnu.org/licenses/gpl.html)

# old dotfiles should be backed up

files={vimrc:gvimrc:zsh/zshrc}
bindir="~/utils/bin"

if [ ! -d $bindir ]; then
    echo "[*] creating bindir"
    mkdir -pv $bindir
else
    echo "[i] bindir already present"
fi

echo "[*] symlinking dotfiles"

while true; do
    if [ -f $f ]; then
        echo "[*] backing up $f to $f.OLDER"
        mv -v $f $f.OLDER
    fi
    echo "[*] creating a link for $f at $syspath"
    ln -v -s $f $syspath
done
